Bug 1468081 - SELinux is preventing systemd-tmpfile from using the 'dac_read_search' capabilities.
Summary: SELinux is preventing systemd-tmpfile from using the 'dac_read_search' capabi...
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:488cd3dfc396a6bc2d2885967a0...
Keywords:
: 1481767 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-06 01:28 UTC by Jason D. Clinton
Modified: 2018-05-29 12:04 UTC (History)
33 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-29 12:04:29 UTC


Attachments (Terms of Use)

Description Jason D. Clinton 2017-07-06 01:28:31 UTC
Description of problem:
SELinux is preventing systemd-tmpfile from using the 'dac_read_search' capabilities.

*****  Plugin dac_override (91.4 confidence) suggests   **********************

If you want to help identify if domain needs this access or you have a file with the wrong permissions on your system
Then turn on full auditing to get path information about the offending file and generate the error again.
Do

Turn on full auditing
# auditctl -w /etc/shadow -p w
Try to recreate AVC. Then execute
# ausearch -m avc -ts recent
If you see PATH record check ownership/permissions on file, and fix it,
otherwise report as a bugzilla.

*****  Plugin catchall (9.59 confidence) suggests   **************************

If you believe that systemd-tmpfile should have the dac_read_search capability by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'systemd-tmpfile' --raw | audit2allow -M my-systemdtmpfile
# semodule -X 300 -i my-systemdtmpfile.pp

Additional Information:
Source Context                system_u:system_r:systemd_tmpfiles_t:s0
Target Context                system_u:system_r:systemd_tmpfiles_t:s0
Target Objects                Unknown [ capability ]
Source                        systemd-tmpfile
Source Path                   systemd-tmpfile
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-259.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.12.0-1.fc27.x86_64 #1 SMP Mon
                              Jul 3 15:45:36 UTC 2017 x86_64 x86_64
Alert Count                   799
First Seen                    2017-05-21 20:26:54 MDT
Last Seen                     2017-07-05 19:26:59 MDT
Local ID                      1dad7e22-afc2-4464-a3bc-d49ef9e4f7ef

Raw Audit Messages
type=AVC msg=audit(1499304419.909:271): avc:  denied  { dac_read_search } for  pid=3782 comm="systemd-tmpfile" capability=2  scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:system_r:systemd_tmpfiles_t:s0 tclass=capability permissive=0


Hash: systemd-tmpfile,systemd_tmpfiles_t,systemd_tmpfiles_t,capability,dac_read_search

Version-Release number of selected component:
selinux-policy-3.13.1-259.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.0-1.fc27.x86_64
type:           libreport

Potential duplicate: bug 1467468

Comment 1 Dominik 'Rathann' Mierzejewski 2017-07-30 21:20:05 UTC
Description of problem:
This started happening after updating to kernel-4.12.4-300.fc26.x86_64 and rebooting.


Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.4-300.fc26.x86_64
type:           libreport

Comment 2 Dominik 'Rathann' Mierzejewski 2017-07-30 21:50:51 UTC
Description of problem:
Updated kernel to 4.12.4-300.fc26.x86_64 and rebooted.


Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.4-300.fc26.x86_64
type:           libreport

Comment 3 Ryan Farmer 2017-08-10 22:57:23 UTC
Happens to me sometimes when I wake my laptop's screen and exit the Gnome screen locker.

Comment 4 Georg Sauthoff 2017-08-13 20:56:11 UTC
I also get such AVCs with kernel-4.12.5-300.fc26.x86_64 and selinux-policy-3.13.1-260.3.fc26.noarch.

For example:

Aug 13 22:44:27 audit[4097]: AVC avc:  denied  { dac_read_search } for  pid=4097 comm="systemd-tmpfile" capability=2  scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:system_r:systemd_tmpfiles_t:s0 tclass=capability permissive=0

Comment 5 Armando 2017-08-15 12:55:36 UTC
Description of problem:
não sei o que aconteceu

Version-Release number of selected component:
selinux-policy-3.13.1-260.3.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.5-300.fc26.x86_64
type:           libreport

Comment 6 vaughn miller 2017-08-15 14:26:22 UTC
Description of problem:
Did DNF update then rebooted - loads of alerts

Version-Release number of selected component:
selinux-policy-3.13.1-260.3.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.5-300.fc26.x86_64
type:           libreport

Comment 7 Henry Paguada 2017-08-15 16:18:31 UTC
Description of problem:
I was browsing the web, I used the Opera browser, when the notification was shown.

Version-Release number of selected component:
selinux-policy-3.13.1-260.3.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.5-300.fc26.x86_64
type:           libreport

Comment 8 Jonathan Lukassen 2017-08-15 16:23:04 UTC
*** Bug 1481767 has been marked as a duplicate of this bug. ***

Comment 9 Matthew Saltzman 2017-08-15 17:20:27 UTC
Description of problem:
Appeared to happen when accepting a new ssh key using rsync.

Version-Release number of selected component:
selinux-policy-3.13.1-260.3.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.5-300.fc26.x86_64
type:           libreport

Comment 10 David Vásquez 2017-08-15 18:59:18 UTC
Description of problem:
When started the session

Version-Release number of selected component:
selinux-policy-3.13.1-260.3.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.5-300.fc26.x86_64
type:           libreport

Comment 11 Fedora End Of Life 2018-05-03 08:23:52 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2018-05-29 12:04:29 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.